Bug 1628052 (CVE-2018-16427) - CVE-2018-16427 opensc: Out of bounds reads handling responses from smartcards
Summary: CVE-2018-16427 opensc: Out of bounds reads handling responses from smartcards
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16427
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628053 1628054 1630212
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 06:46 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:59 UTC

Description Sam Fowler 2018-09-12 06:46:38 UTC
Various out of bounds reads when handling responses in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to potentially crash the opensc library using programs.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/pull/1447/commits/8fe377e93b4b56060e5bbfb6f3142ceaeca744fa

Comment 1 Sam Fowler 2018-09-12 06:47:01 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628053]

Comment 3 Doran Moppert 2018-09-18 07:48:58 UTC
The patch sections affecting src/libopensc/card-openpgp.c and src/libopensc/ef-gdo.c don't appear to apply to opensc-0.16.0, but the rest almost certainly do

Comment 5 errata-xmlrpc 2019-08-06 12:21:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 6 Product Security DevOps Team 2019-08-06 13:19:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16427


Note You need to log in before you can comment on or make changes to this bug.